%define	version	0.5

Summary:	KWebGet is a frontend to the great wget
Name:		kwebget
Version:	%{version}
Release:	3mdk
Group:		Networking/WWW
Copyright:	GPL

Source:		kwebget-%{version}.tar.bz2
Source1:	kwebget_menu

URL:		http://www.example.net/kwebget/
Requires:	qt >= 1.42, wget
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
KWebGet is a frontend to the great 'wget'. It comes with nearly the same
functionallity, but the user wont have to type such long command line
arguments.

It can be used to download single Files, and to download complete Websites,
which can be browsed offline.

%prep

%setup

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --with-install-root=$RPM_BUILD_ROOT
make

%install
make install

install -d $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/kwebget

%post
## menu
if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
    if [ -x /usr/bin/update-menus ]; then
            usr/bin/update-menus
    fi
fi



%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/kwebget
/usr/share/icons/kwebget.xpm
/usr/share/icons/mini/kwebget.xpm
%doc /usr/doc/kde/HTML/*/kwebget/*
%doc AUTHORS COPYING ChangeLog README TODO
/usr/lib/menu/kwebget

%changelog
* Fri May 05 2000 Daouda Lo <daouda@mandrakesoft.com> 0.5-3mdk
- fix silly bug (long title was put at the place of title in the menu entry)


* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 0.5-2mdk
- Menu support

* Sun Mar 26 2000 David BAUDENS <baudens@mandrakesoft.com> 0.5-1mdk
- First spec for Linux-Mandrake distribution
